Retrieve details of a specific beneficiary for a customer. Required scope: beneficiary:read.
Authorization
oauth2ClientCredentials beneficiary:readUse your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: beneficiary:read
Path Parameters
Customer ID
Beneficiary ID
Response Body
application/json
application/json
curl --request GET \ --url 'https://example.com/api/external/customer/string/beneficiary/string'{ "message": "Customers retrieved successfully.", "data": [ { "id": "9d4c4ec5-59ea-4130-bf8a-6a5edec401ee", "business_id": "9d4c4ec5-572d-49de-a362-f01ed09f2b1b", "first_name": "Halie", "last_name": "Skiles", "business_name": null, "type": "individual", "email": "danyka66@example.org", "country": "NG", "id_type": "passport", "id_number": "1DaRjlBTMZ", "verification_status": "PENDING" } ]}GETList beneficiaries
Retrieve all beneficiaries for a customer. Required scope: `beneficiary:read`.
POSTRegister webhook URLs
Register webhook URLs to receive event notifications. URLs must be HTTPS; Blaaiz signs requests via x-blaaiz-signature. Verify deliveries with your webhook signing_secret. Your collection_url receives collection events, virtual account events, and customer KYC events such as customer.created, customer.verified, and customer.rejected. Your optional kyc_url receives Signa verification session events. Required scope: `webhook:write`.